# Contributing guidelines
Anyone is more than welcome to contribute to Mobius.swift! Together we can make the framework even
more capable, and help each other fix any issues that we might find.

Before you send a PR, however, please make sure your change complies with these quick guidelines:

- Always fully unit test your code.
- Always fully document APIs, in a way that makes new users of those APIs understand how they work,
  and highlight things that are good to keep in mind when using them.
- For larger API changes it’s recommended (but not required) to open an RFC as a GitHub issue
  first. This will let you recieve feedback faster on your idea(s), rather than having to wait
  until it has been implemented. It will also give us, the maintainers, a chance to plan and share
  our roadmap.

## Reporting security issues
Spotify takes security seriously. If you discover a security issue then please bring it to our
attention right away! You can report the security issue via our
[bounty program hosted by Bugcrowd](https://bugcrowd.com/spotify). Thank you in advance!

Please **DO NOT** file a public issue (e.g. on GitHub or in our community forums), instead report
it privately to our [bounty program hosted by Bugcrowd](https://bugcrowd.com/spotify). This will
help ensure that any vulnerabilities that are found can be
[disclosed responsibly](http://en.wikipedia.org/wiki/Responsible_disclosure) to any affected
parties.

## Code of conduct
This project adheres to the [Open Code of Conduct][code-of-conduct]. By participating, you are
expected to honor this code.

[code-of-conduct]: https://github.com/spotify/code-of-conduct/blob/master/code-of-conduct.md
